System requirements

Supported server-side configuration

Supported operating systems:

  • Windows 8.1 (32bit or 64bit)
  • Windows 10 (32bit or 64bit)
  • Windows Server versions: 2012, 2012 R2, 2016, 2019

We recommend that you install the following components on the computer where you want to run Kentico Xperience. If you do not install these components before installing Xperience, the Installer is capable of downloading and installing them or their suitable alternatives on its own (except for the Visual Studio built-in server). In such cases, your computer must be connected to the Internet.

  • Microsoft .NET Framework 4.8 or newer.
  • Microsoft Internet Information Services (see the table below) or Internet Information Services Express (distributed with Visual Studio 2017 or 2019).
  • Microsoft SQL Server 2012, 2014, 2016, 2017, 2019 (including the free SQL Server Express Edition). The collation set for the SQL server must be case-insensitive.
  • ASP.NET Core 3.1.5 or newer (if you wish to develop and run an ASP.NET Core live site application)
On this page

Internet Information Services overview

The following table lists instructions on how to install different versions of IIS on different operating systems.

Internet Information Services version

Operating system

Details and installation instructions

IIS 7.5



Windows 7

Not supported

Windows Server 2008

IIS 8.0

Windows Server 2012

Installing IIS on Windows Server 2012

IIS 8.5Windows 8.1Installing IIS 8.5
Windows Server 2012 R2
IIS 10Windows 10Same process as IIS 8.5
Windows Server 2016, 2019

For the Xperience Installer to work correctly with your IIS, check that the following features are installed on your computer:

  • On Windows 8.1 and Server 2012/2012 R2: ASP.NET 4.5.NET Extensibility 4.5, ISAPI Extensions, ISAPI Filters and Static Content
  • On Windows 10 and Server 2016/2019: ASP.NET 4.7 or 4.8.NET Extensibility 4.7 or 4.8, ISAPI Extensions, ISAPI Filters and Static Content
See Configuring IIS for the installation of Xperience for instructions.

Note: The application in IIS must use an Application Pool with Managed Pipeline Mode set to Integrated. Classic mode is not supported.

The system may also work with other configurations. However, Xperience does not guarantee correct functionality for unsupported options.

Hosting requirements

Xperience has the following requirements when using a traditional hosting server (dedicated or shared):

  • Supported server-side software configuration (see above)
  • Full trust permissions for the ASP.NET application (hosting in a medium trust environment is not supported)
  • Hosting plan parameters:
    • Minimum: 4 GB memory (RAM), 200 MB database size
    • Recommended: 8 GB memory, 1 GB database size

    Note: The recommended hosting parameters depend on the scale and implementation details of each project. Very large or heavily trafficked websites may have significantly higher requirements. For virtual hosting servers, the listed values refer to the memory capacity available for your web application, not the server's overall resources.

You can pick from the list of our partners to find a hosting solution.

Cloud hosting

Xperience supports the Microsoft Azure platform, including Azure SQL, Azure Storage, and other services.

Hosting ASP.NET Core applications

For details about hosting live site applications running on ASP.NET Core, see Deploying and hosting ASP.NET Core applications.

Development tools

To develop websites, integrate custom code, or create custom web parts, you need Visual Studio 2017 or 2019.

Xperience requires the .NET Compiler Platform ("Roslyn") compiler to run. Do not uninstall the default Microsoft.CodeDom.Providers.DotNetCompilerPlatform NuGet package from the Xperience web project.

Xperience administration interface requirements

Recommended resolution

The Xperience administration interface is optimized for the 1920x1080 resolution (also known as 1080p or Full HD). Xperience makes use of the resolution to display graph areas and other elements correctly. Using Xperience on lower resolutions may result in some of the UI elements displaying incorrectly.

Supported browsers

  • Chrome
  • Firefox
  • Microsoft Edge
  • Safari on Mac OS

We officially support and strongly recommend using the latest versions of the browsers. Older browser versions (up to several versions back) should work correctly, but may display simplified renderings of certain components.

JavaScript

JavaScript must be enabled and allowed in the browser for the administration interface to work correctly.

Live site browser requirements

The list of supported browsers above also applies to visitors of websites running on Xperience.

However, the exact browser requirements always depend on the implementation of specific websites. With appropriate styling, live websites can work well in a wide variety of browsers, including responsiveness and general support for mobile browsers.


Was this page helpful?